# set the include path for X, qt and KDE
INCLUDES = $(all_includes) -I../kmfwidgets -I../core

METASOURCES = AUTO
#########################################################################
# KPART SECTION
#########################################################################


# this is where the desktop file will go
partdesktopdir   = $(kde_servicesdir)
partdesktop_DATA = kmfipteditorpart.desktop

# this is where the part's XML-GUI resource file goes
partrcdir   = $(kde_datadir)/kmfipteditorpart
partrc_DATA = kmfipteditorpartui.rc
kde_module_LTLIBRARIES =  libkmfipteditorpart.la

libkmfipteditorpart_la_SOURCES = kmfchainedit.cpp kmfnewchaindlg.cpp kmfruleedit.cpp kmfipteditorpart.cpp kmyfirewallchaineditor.ui kmyfirewallchaineditornewchain.ui kmyfirewallruleeditor.ui

noinst_HEADERS = kmfchainedit.h kmfnewchaindlg.h kmfruleedit.h kmfipteditorpart.h

libkmfipteditorpart_la_LDFLAGS = -module -no-undefined $(all_libraries) \
	$(KDE_PLUGIN) $(LIB_TQT) $(LIB_TDECORE) $(LIB_TDEUI) $(LIB_TDEIO)
libkmfipteditorpart_la_LIBADD = \
	 $(LIB_TDEPARTS) ../kmfwidgets/libkmfwidgets.la ../core/libkmfcore.la

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/
	$(INSTALL_DATA)  $(srcdir)/kmfruleoption_frag_option.xml $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/kmfruleoption_frag_option.xml

uninstall-local:
	-rm -f $(DESTDIR)$(kde_datadir)/kmyfirewall/ruleoptions/kmfruleoption_frag_option.xml
	
